--- old/usr/src/cmd/ypcmd/ypsym.h	Thu Mar  9 12:11:33 2017
+++ new/usr/src/cmd/ypcmd/ypsym.h	Thu Mar  9 12:11:33 2017
@@ -34,8 +34,6 @@
 #ifndef	__YPSYM_H
 #define	__YPSYM_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #ifdef	__cplusplus
 extern "C" {
 #endif
@@ -165,21 +163,6 @@
 };
 typedef struct listofnames listofnames;
 
-/*
- * XXX- NAME_MAX can't be defined in <limits.h> in a POSIX conformant system
- *	(under conditions which apply to Sun systems). Removal of this define
- *	caused yp to break (and only yp!). Hence, NAME_MAX is defined here
- *	*exactly* as it was in <limits.h>. I suspect this may not be the
- *	desired value. I suspect the desired value is either:
- *		- the maxumum name length for any file system type, or
- *		- should be _POSIX_NAME_MAX which is the minimum-maximum name
- *		  length in a POSIX conformant system (which just happens to
- *		  be 14), or
- *		- should be gotten by pathconf() or fpathconf().
- * XXX- I leave this to the owners of yp!
- */
-#define	NAME_MAX	14	/* s5 file system maximum name length */
-
 #ifdef	__cplusplus
 }
 #endif
--- old/usr/src/head/limits.h	Thu Mar  9 12:11:33 2017
+++ new/usr/src/head/limits.h	Thu Mar  9 12:11:33 2017
@@ -21,6 +21,7 @@
 
 /*
  * Copyright (c) 2013 Gary Mills
+ * Copyright 2017 RackTop Systems.
  *
  * Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
@@ -256,11 +257,12 @@
  * a specific pathname shall be provided by the pathconf() (5.7.1) function.
  *
  * This is clear that any machine supporting multiple file system types
- * and/or a network can not include this define, regardless of protection
- * by the _POSIX_SOURCE and _POSIX_C_SOURCE flags.
- *
- * #define	NAME_MAX	14
+ * and/or a network should not include this define, regardless of protection
+ * by the _POSIX_SOURCE and _POSIX_C_SOURCE flags. We chose to ignore that
+ * and provide it anyway for compatibility with other platforms that don't
+ * follow the spec as precisely as they should. Its usage is discouraged.
  */
+#define	NAME_MAX	255
 
 #define	CHILD_MAX	25	/* max # of processes per user id */
 #ifndef OPEN_MAX
